---
title: "operator-sdk"
---
## operator-sdk

An SDK for building operators with ease

### Synopsis

An SDK for building operators with ease

### Options

```
  -h, --help   help for operator-sdk
```

### SEE ALSO

* [operator-sdk add](../operator-sdk_add)	 - Adds a controller or resource to the project
* [operator-sdk alpha](../operator-sdk_alpha)	 - Run an alpha subcommand
* [operator-sdk build](../operator-sdk_build)	 - Compiles code and builds artifacts
* [operator-sdk bundle](../operator-sdk_bundle)	 - Manage operator bundle metadata
* [operator-sdk cleanup](../operator-sdk_cleanup)	 - Delete and clean up after a running Operator
* [operator-sdk completion](../operator-sdk_completion)	 - Generators for shell completions
* [operator-sdk generate](../operator-sdk_generate)	 - Invokes a specific generator
* [operator-sdk new](../operator-sdk_new)	 - Creates a new operator application
* [operator-sdk olm](../operator-sdk_olm)	 - Manage the Operator Lifecycle Manager installation in your cluster
* [operator-sdk print-deps](../operator-sdk_print-deps)	 - Print Golang packages and versions required to run the operator
* [operator-sdk run](../operator-sdk_run)	 - Run an Operator in a variety of environments
* [operator-sdk scorecard](../operator-sdk_scorecard)	 - Run scorecard tests
* [operator-sdk test](../operator-sdk_test)	 - Tests the operator
* [operator-sdk version](../operator-sdk_version)	 - Prints the version of operator-sdk

